//
//  IDEMainWindowController.h
//  IDEKit
//
//  Created by Todd Ditchendorf on 11/11/10.
//  Copyright 2010 Todd Ditchendorf. All rights reserved.
//

#import <TDAppKit/TDTabbedWindowController.h>

@class IDEUberView;
@class IDEPaletteViewController;

@interface IDEMainWindowController : TDTabbedWindowController {
    IDEUberView *fullScreenUberView;
    IDEUberView *innerUberView;
    IDEUberView *outerUberView;
    id tabsViewController;
    id libraryViewController;
    id outlineViewController;
    id inspectorViewController;
    id timelineViewController;
    id logViewController;

    BOOL inVersionBrowser;
    BOOL toolbarVisible;
    BOOL inspectorVisible;
    BOOL outlineVisible;
    
    NSRect preVersionBrowserFrame;
}

- (IBAction)toggleTabsPalette:(id)sender;
- (IBAction)toggleLibraryPalette:(id)sender;
- (IBAction)toggleOutlinePalette:(id)sender;
- (IBAction)toggleInspectorPalette:(id)sender;
- (IBAction)toggleTimelinePalette:(id)sender;
- (IBAction)toggleLogPalette:(id)sender;

@property (nonatomic, retain) IBOutlet IDEUberView *fullScreenUberView;
@property (nonatomic, retain) IBOutlet IDEUberView *innerUberView;
@property (nonatomic, retain) IBOutlet IDEUberView *outerUberView;
@property (nonatomic, retain) IBOutlet id tabsViewController;
@property (nonatomic, retain) IBOutlet id libraryViewController;
@property (nonatomic, retain) IBOutlet id outlineViewController;
@property (nonatomic, retain) IBOutlet id inspectorViewController;
@property (nonatomic, retain) IBOutlet id timelineViewController;
@property (nonatomic, retain) IBOutlet id logViewController;
@end
